package com.sifang.modules.flowable.entity;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;
import org.hibernate.annotations.GenericGenerator;

import java.util.Date;

/**
 * @author Generate Tools
 * @version 
 */
@Entity
@Table(name = "crm_process_def_audit_step")
public class ProcessDefAuditStep {
	
	private static final long serialVersionUID = 1L;
	private String id;
	private String name;

	private String itemName;

	private String auditType;

	private String empUserId;

	private String auditMethod;


	private String visibleFields;
	private String operateFields;
	private String roleId;
	private String roleName;
	private String rejectStepId;
	private String rejectStepType;

	private String rejectStepName;
	private String ccUserId;
	private String auditNote;
	private String transDepartment;
	private String procDefId;
	private String createBy;
	private Date createTime;
	private Integer sort;

	private String stepName;

	public String getItemName() {
		return itemName;
	}

	public void setItemName(String itemName) {
		this.itemName = itemName;
	}

	public String getAuditType() {
		return auditType;
	}

	public void setAuditType(String auditType) {
		this.auditType = auditType;
	}

	public String getEmpUserId() {
		return empUserId;
	}

	public void setEmpUserId(String empUserId) {
		this.empUserId = empUserId;
	}

	public String getAuditMethod() {
		return auditMethod;
	}

	public void setAuditMethod(String auditMethod) {
		this.auditMethod = auditMethod;
	}

	public ProcessDefAuditStep(){
		super();
		this.transDepartment="0";
	}


	@Id
	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getVisibleFields() {
		return visibleFields;
	}

	public void setVisibleFields(String visibleFields) {
		this.visibleFields = visibleFields;
	}

	public String getOperateFields() {
		return operateFields;
	}

	public void setOperateFields(String operateFields) {
		this.operateFields = operateFields;
	}

	public String getRoleId() {
		return roleId;
	}

	public void setRoleId(String roleId) {
		this.roleId = roleId;
	}

	public String getRejectStepId() {
		return rejectStepId;
	}

	public void setRejectStepId(String rejectStepId) {
		this.rejectStepId = rejectStepId;
	}

	public String getRejectStepType() {
		return rejectStepType;
	}

	public void setRejectStepType(String rejectStepType) {
		this.rejectStepType = rejectStepType;
	}

	public String getCcUserId() {
		return ccUserId;
	}

	public void setCcUserId(String ccUserId) {
		this.ccUserId = ccUserId;
	}

	public String getAuditNote() {
		return auditNote;
	}

	public void setAuditNote(String auditNote) {
		this.auditNote = auditNote;
	}

	public String getTransDepartment() {
		return transDepartment;
	}

	public void setTransDepartment(String transDepartment) {
		this.transDepartment = transDepartment;
	}

	public String getProcDefId() {
		return procDefId;
	}

	public void setProcDefId(String procDefId) {
		this.procDefId = procDefId;
	}

	public String getCreateBy() {
		return createBy;
	}

	public void setCreateBy(String createBy) {
		this.createBy = createBy;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public Integer getSort() {
		return sort;
	}

	public void setSort(Integer sort) {
		this.sort = sort;
	}

	public String getRoleName() {
		return roleName;
	}

	public void setRoleName(String roleName) {
		this.roleName = roleName;
	}

	public String getRejectStepName() {
		return rejectStepName;
	}

	public void setRejectStepName(String rejectStepName) {
		this.rejectStepName = rejectStepName;
	}


	public String getStepName() {
		return stepName;
	}

	public void setStepName(String stepName) {
		this.stepName = stepName;
	}

	@Override
	public String toString() {
		return "ProcessDefAuditStep{" +
				"id='" + id + '\'' +
				", name='" + name + '\'' +
				", roleId='" + roleId + '\'' +
				", rejectStepId='" + rejectStepId + '\'' +
				", rejectStepType='" + rejectStepType + '\'' +
				", rejectStepName='" + rejectStepName + '\'' +
				", transDepartment='" + transDepartment + '\'' +
				", procDefId='" + procDefId + '\'' +
				'}';
	}
}


